## litecoin 0.16.0

=== depends/Makefile ===
.NOTPARALLEL :

SOURCES_PATH ?= $(BASEDIR)/sources
BASE_CACHE ?= $(BASEDIR)/built
SDK_PATH ?= $(BASEDIR)/SDKs
NO_QT ?=
NO_WALLET ?=
NO_UPNP ?=
FALLBACK_DOWNLOAD_PATH ?= https://bitcoincore.org/depends-sources

BUILD = $(shell ./config.guess)
HOST ?= $(BUILD)
PATCHES_PATH = $(BASEDIR)/patches
BASEDIR = $(CURDIR)
HASH_LENGTH:=11
DOWNLOAD_CONNECT_TIMEOUT:=10
DOWNLOAD_RETRIES:=3
HOST_ID_SALT ?= salt
BUILD_ID_SALT ?= salt

host:=$(BUILD)
ifneq ($(HOST),)
host:=$(HOST)
host_toolchain:=$(HOST)-
endif

ifneq ($(DEBUG),)
release_type=debug
else
release_type=release
endif

base_build_dir=$(BASEDIR)/work/build
base_staging_dir=$(BASEDIR)/work/staging
base_download_dir=$(BASEDIR)/work/download
canonical_host:=$(shell ./config.sub $(HOST))
build:=$(shell ./config.sub $(BUILD))

build_arch =$(firstword $(subst -, ,$(build)))
build_vendor=$(word 2,$(subst -, ,$(build)))
full_build_os:=$(subst $(build_arch)-$(build_vendor)-,,$(build))
build_os:=$(findstring linux,$(full_build_os))
build_os+=$(findstring darwin,$(full_build_os))
build_os:=$(strip $(build_os))
ifeq ($(build_os),)
build_os=$(full_build_os)
endif

host_arch=$(firstword $(subst -, ,$(canonical_host)))
host_vendor=$(word 2,$(subst -, ,$(canonical_host)))
full_host_os:=$(subst $(host_arch)-$(host_vendor)-,,$(canonical_host))
host_os:=$(findstring linux,$(full_host_os))
host_os+=$(findstring darwin,$(full_host_os))
host_os+=$(findstring mingw32,$(full_host_os))
host_os:=$(strip $(host_os))
ifeq ($(host_os),)
host_os=$(full_host_os)
endif

$(host_arch)_$(host_os)_prefix=$(BASEDIR)/$(host)
$(host_arch)_$(host_os)_host=$(host)
host_prefix=$($(host_arch)_$(host_os)_prefix)
build_prefix=$(host_prefix)/native
build_host=$(build)

AT_$(V):=
AT_:=@
AT:=$(AT_$(V))

all: install

include hosts/$(host_os).mk
include hosts/default.mk
include builders/$(build_os).mk
include builders/default.mk
include packages/packages.mk

build_id_string:=$(BUILD_ID_SALT)
build_id_string+=$(shell $(build_CC) --version 2>/dev/null)
build_id_string+=$(shell $(build_AR) --version 2>/dev/null)
build_id_string+=$(shell $(build_CXX) --version 2>/dev/null)
build_id_string+=$(shell $(build_RANLIB) --version 2>/dev/null)
build_id_string+=$(shell $(build_STRIP) --version 2>/dev/null)

$(host_arch)_$(host_os)_id_string:=$(HOST_ID_SALT)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CC) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_AR) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CXX) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_RANLIB) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_STRIP) --version 2>/dev/null)

qt_packages_$(NO_QT) = $(qt_packages) $(qt_$(host_os)_packages) $(qt_$(host_arch)_$(host_os)_packages)
wallet_packages_$(NO_WALLET) = $(wallet_packages)
upnp_packages_$(NO_UPNP) = $(upnp_packages)

packages += $($(host_arch)_$(host_os)_packages) $($(host_os)_packages) $(qt_packages_) $(wallet_packages_) $(upnp_packages_)
native_packages += $($(host_arch)_$(host_os)_native_packages) $($(host_os)_native_packages)

ifneq ($(qt_packages_),)
native_packages += $(qt_native_packages)
endif

all_packages = $(packages) $(native_packages)

meta_depends = Makefile funcs.mk builders/default.mk hosts/default.mk hosts/$(host_os).mk builders/$(build_os).mk

$(host_arch)_$(host_os)_native_toolchain?=$($(host_os)_native_toolchain)

include funcs.mk

toolchain_path=$($($(host_arch)_$(host_os)_native_toolchain)_prefixbin)
final_build_id_long+=$(shell $(build_SHA256SUM) config.site.in)
final_build_id+=$(shell echo -n "$(final_build_id_long)" | $(build_SHA256SUM) | cut -c-$(HASH_LENGTH))
$(host_prefix)/.stamp_$(final_build_id): $(native_packages) $(packages)
	$(AT)rm -rf $(@D)
	$(AT)mkdir -p $(@D)
	$(AT)echo copying packages: $^
	$(AT)echo to: $(@D)
	$(AT)cd $(@D); $(foreach package,$^, tar xf $($(package)_cached); )
	$(AT)touch $@

$(host_prefix)/share/config.site : config.site.in $(host_prefix)/.stamp_$(final_build_id)
	$(AT)@mkdir -p $(@D)
	$(AT)sed -e 's|@HOST@|$(host)|' \
            -e 's|@CC@|$(toolchain_path)$(host_CC)|' \
            -e 's|@CXX@|$(toolchain_path)$(host_CXX)|' \
            -e 's|@AR@|$(toolchain_path)$(host_AR)|' \
            -e 's|@RANLIB@|$(toolchain_path)$(host_RANLIB)|' \
            -e 's|@NM@|$(toolchain_path)$(host_NM)|' \
            -e 's|@STRIP@|$(toolchain_path)$(host_STRIP)|' \
            -e 's|@build_os@|$(build_os)|' \
            -e 's|@host_os@|$(host_os)|' \
            -e 's|@CFLAGS@|$(strip $(host_CFLAGS) $(host_$(release_type)_CFLAGS))|' \
            -e 's|@CXXFLAGS@|$(strip $(host_CXXFLAGS) $(host_$(release_type)_CXXFLAGS))|' \
            -e 's|@CPPFLAGS@|$(strip $(host_CPPFLAGS) $(host_$(release_type)_CPPFLAGS))|' \
            -e 's|@LDFLAGS@|$(strip $(host_LDFLAGS) $(host_$(release_type)_LDFLAGS))|' \
            -e 's|@allow_host_packages@|$(ALLOW_HOST_PACKAGES)|' \
            -e 's|@no_qt@|$(NO_QT)|' \
            -e 's|@no_wallet@|$(NO_WALLET)|' \
            -e 's|@no_upnp@|$(NO_UPNP)|' \
            -e 's|@debug@|$(DEBUG)|' \
            $< > $@
	$(AT)touch $@


define check_or_remove_cached
  mkdir -p $(BASE_CACHE)/$(host)/$(package) && cd $(BASE_CACHE)/$(host)/$(package); \
  $(build_SHA256SUM) -c $($(package)_cached_checksum) >/dev/null 2>/dev/null || \
  ( rm -f $($(package)_cached_checksum); \
    if test -f "$($(package)_cached)"; then echo "Checksum mismatch for $(package). Forcing rebuild.."; rm -f $($(package)_cached_checksum) $($(package)_cached); fi )
endef

define check_or_remove_sources
  mkdir -p $($(package)_source_dir); cd $($(package)_source_dir); \
  test -f $($(package)_fetched) && ( $(build_SHA256SUM) -c $($(package)_fetched) >/dev/null 2>/dev/null || \
    ( echo "Checksum missing or mismatched for $(package) source. Forcing re-download."; \
      rm -f $($(package)_all_sources) $($(1)_fetched))) || true
endef

check-packages:
	@$(foreach package,$(all_packages),$(call check_or_remove_cached,$(package));)
check-sources:
	@$(foreach package,$(all_packages),$(call check_or_remove_sources,$(package));)

$(host_prefix)/share/config.site: check-packages

check-packages: check-sources

install: check-packages $(host_prefix)/share/config.site


download-one: check-sources $(all_sources)

download-osx:
	@$(MAKE) -s HOST=x86_64-apple-darwin11 download-one
download-linux:
	@$(MAKE) -s HOST=x86_64-unknown-linux-gnu download-one
download-win:
	@$(MAKE) -s HOST=x86_64-w64-mingw32 download-one
download: download-osx download-linux download-win

.PHONY: install cached download-one download-osx download-linux download-win download check-packages check-sources

## litecoin 0.8.6.1

=== debian/changelog ===
litecoin (0.8.6.1-1) unstable; urgency=low

  * New upstream release [December 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 17 Dec 2013 09:24:03 +1100

litecoin (0.8.5.1-1) unstable; urgency=low

  * Initial release (Closes: #693492).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Nov 2013 13:52:17 +1100

=== debian/control ===
Source: litecoin
Section: utils
Priority: optional
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), imagemagick
# ,bash-completion
# desktop2menu requirements:
 ,devscripts ,libfile-desktopentry-perl
#  libjson-spirit-dev/4.0.3 (customised) is bundled with upstream sources.
# ,libjson-spirit-dev
 ,libboost-all-dev
 ,libdb++-dev
 ,libleveldb-dev (>= 1.10.0)
 ,libminiupnpc-dev [!hurd-any]
 ,libqrencode-dev
 ,libqt4-dev
 ,libssl-dev
 ,qt4-qmake
Standards-Version: 3.9.5
Homepage: http://litecoin.org/
VCS-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/litecoin.git
VCS-Git: git://anonscm.debian.org/pkg-bitcoin/litecoin.git

Package: litecoind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: db-util
Description: peer-to-peer network based digital currency - daemon
 Litecoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending. Litecoin is a fork of Bitcoin.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.
 This requires 2+ GB of space, slowly growing.
 .
 This package provides litecoind, a combined daemon and CLI tool to
 interact with the daemon.

Package: litecoin-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: db-util
Description: peer-to-peer network based digital currency - Qt GUI
 Litecoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending. Litecoin is a fork of Bitcoin.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.
 This requires 2+ GB of space, slowly growing.
 .
 This package provides Litecoin-Qt, a GUI for Litecoin based on Qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel
	# --with bash-completion

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C src -f makefile.unix clean

C_UPNP = $(if $(shell dpkg --status libminiupnpc-dev 2>/dev/null),1,-)
override_dh_auto_configure:
	## update translations
	lupdate bitcoin-qt.pro -silent
	## make GUI tests Makefile
	qmake bitcoin-qt.pro USE_QRCODE=1 USE_DBUS=1 USE_UPNP=$(C_UPNP) RELEASE=0 BITCOIN_QT_TEST=1
	mv Makefile Makefile_test
	## make GUI Makefile
	qmake bitcoin-qt.pro USE_QRCODE=1 USE_DBUS=1 USE_UPNP=$(C_UPNP) RELEASE=0
	## Hardening
	perl -0pi -e 's[(CXXFLAGS\s*=)][$$1 $$ENV{CFLAGS} $$ENV{CPPFLAGS}]; \
                      s[(LFLAGS\s*=)][$$1 -Wl,--as-needed $$ENV{LDFLAGS}]; \
                      s[(CFLAGS\s*=)][$$1 $$ENV{CFLAGS} $$ENV{CPPFLAGS}];' \
                     $$(find . -name 'Makefile*')

override_dh_auto_build:
	## build GUI test
	$(MAKE) -f Makefile_test
	## 'clean' before building GUI (test executable will not be deleted)
	$(MAKE) -f Makefile_test clean
	## build GUI
	dh_auto_build
	## build console app.
	$(MAKE) -C src -f makefile.unix litecoind USE_UPNP=$(C_UPNP)
	## build console app. test
	$(MAKE) -C src -f makefile.unix test_litecoin USE_UPNP=$(C_UPNP)
	## build menu and icons
	convert src/qt/res/icons/bitcoin.png -resize 32x32 $(CURDIR)/debian/litecoin.xpm
	convert src/qt/res/icons/bitcoin.png -resize 64x64 $(CURDIR)/debian/litecoin.png
	desktop2menu debian/litecoin-qt.desktop litecoin-qt > debian/litecoin-qt.menu

override_dh_auto_test:
	## Set $HOME to debian/tmp since buildd do not have RW permission to /home/buildd.
	HOME=$(CURDIR)/debian/tmp src/test_litecoin
	-HOME=$(CURDIR)/debian/tmp ./litecoin-qt_test

override_dh_builddeb:
	dh_builddeb -- -Zxz


DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+[a-z]?)}')
.PHONY: get-orig-source
get-orig-source:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)

## litecoin 0.16.0

=== debian/changelog ===
litecoin (0.16.0-2) unstable; urgency=medium

  * set myself as Maintrainer (Closes: #899811).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Jun 2018 16:03:05 +1000

litecoin (0.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Jun 2018 14:35:28 +1000

litecoin (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.1.4.
  * Vcs URL to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 May 2018 11:38:51 +1000

litecoin (0.14.2-1) unstable; urgency=medium

  * New upstream release [July 2017].
  * Standards-Version: 4.1.2.
  * Removed "dh-autoreconf" from Build-Depends.
  * rules: removed call to `dpkg-parsechangelog`.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Dec 2017 08:46:16 +1100

litecoin (0.13.2.1-1) unstable; urgency=medium

  * New upstream release [January 2017]:
    + Fixed FTBFS with openssl 1.1.0 (Closes: #828425).
    + Fixed FTBFS with GCC 6 (Closes: #811917).
    + Fixed segmentation fault (Closes: #854157).
  * Removed obsolete "gcc6.patch".
  * Updated "system-leveldb.patch".
  * Build-Depends += "libevent-dev".
  * debhelper/compat to version 10.
  * Standards-Version: 3.9.8.
  * Modernised Vcs URLs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Feb 2017 22:57:35 +1100

litecoin (0.10.4.0-1) unstable; urgency=medium

  * New upstream release [December 2015].
  * Removed obsolete "upstream-util-test.patch".
  * Do not build/install .menu file (command-in-menu-file-and-desktop-file).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Jan 2016 15:56:55 +1100

litecoin (0.10.2.2-2) unstable; urgency=medium

  * Fix compilation with GCC-5 by building with "-fPIC" and
    "--disable-hardening" to prevent overriding of environment build flags
    (Closes: #777983).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Jul 2015 10:21:45 +1000

litecoin (0.10.2.2-1) unstable; urgency=medium

  * New major upstream release [June 2015].
  * Build system changed to "autoconf" (multiple changes).
  * GUI switched to QT5.
  * litecoind: install "litecoin-cli" utility.
  * Build-Depends:
    - libqt4-dev
    - qt4-qmake
    - libleveldb-dev (>= 1.10.0)
    + libleveldb-dev (>= 1.18-2.1)
    + pkg-config
    + dh-autoreconf
    + libprotobuf-dev
    + protobuf-compiler
    + qttools5-dev
    + qttools5-dev-tools
  * Updated version of "libleveldb-dev" in Build-Depends to require library
    built with "-fPIC".
  * Enabled all hardening.
  * Minor update to long package description.
  * Patchworks:
    - Removed "builddate.patch".
    + Added "upstream-util-test.patch".
    + Re-done and re-named remaining patches.
  * Removed obsolete lintian-overrides.
  * Convert icon reproducibly (Closes: #778984).
    Thanks, Chris Lamb.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Jul 2015 11:58:18 +1000

litecoin (0.8.7.5-1) unstable; urgency=medium

  * New upstream release [January 2015].
  * Install upstream changelog; removed override_dh_builddeb.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 16 Jan 2015 12:45:46 +1100

litecoin (0.8.7.4-1) unstable; urgency=low

  * New upstream release [September 2014].
  * Standards-Version to 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Sep 2014 15:37:53 +1000

litecoin (0.8.7.1-1) unstable; urgency=low

  * New upstream release [April 2014].
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Apr 2014 09:08:12 +1000

litecoin (0.8.6.2-1) unstable; urgency=medium

  * New upstream release [January 2014].
  * Don't ignore post-build QT tests falure(s).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Jan 2014 14:44:29 +1100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: litecoin
 Section: utils
 Priority: optional
-Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), imagemagick
-# ,bash-completion
-# desktop2menu requirements:
- ,devscripts ,libfile-desktopentry-perl
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 10), imagemagick
+#   ,bash-completion
+    ,libboost-all-dev
+    ,libdb++-dev
+    ,libevent-dev
+    ,libleveldb-dev (>= 1.18-2.1)
+    ,libminiupnpc-dev [!hurd-any]
+    ,libprotobuf-dev
+      ,protobuf-compiler
+    ,libqrencode-dev
+    ,libssl-dev
+    ,qttools5-dev
+    ,qttools5-dev-tools
+    ,pkg-config
 #  libjson-spirit-dev/4.0.3 (customised) is bundled with upstream sources.
-# ,libjson-spirit-dev
- ,libboost-all-dev
- ,libdb++-dev
- ,libleveldb-dev (>= 1.10.0)
- ,libminiupnpc-dev [!hurd-any]
- ,libqrencode-dev
- ,libqt4-dev
- ,libssl-dev
- ,qt4-qmake
-Standards-Version: 3.9.5
+#   ,libjson-spirit-dev
+Standards-Version: 4.1.4
 Homepage: http://litecoin.org/
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/litecoin.git
-VCS-Git: git://anonscm.debian.org/pkg-bitcoin/litecoin.git
+Vcs-Browser: https://salsa.debian.org/debian/litecoin
+Vcs-Git: https://salsa.debian.org/debian/litecoin.git
 
 Package: litecoind
 Architecture: any
@@ -36,9 +37,9 @@
  By default connects to an IRC network to discover other peers.
  .
  Full transaction history is stored locally at each client.
- This requires 2+ GB of space, slowly growing.
+ This requires 5+ GB of space, slowly growing.
  .
- This package provides litecoind, a combined daemon and CLI tool to
+ This package provides the daemon (litecoind), and the CLI tool to
  interact with the daemon.
 
 Package: litecoin-qt
@@ -55,6 +56,6 @@
  By default connects to an IRC network to discover other peers.
  .
  Full transaction history is stored locally at each client.
- This requires 2+ GB of space, slowly growing.
+ This requires 5+ GB of space, slowly growing.
  .
  This package provides Litecoin-Qt, a GUI for Litecoin based on Qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND= -fPIC
export QT_SELECT=5

%:
	dh $@ --with autoreconf
# --with bash-completion

override_dh_auto_configure:
	dh_auto_configure -- \
            --disable-silent-rules \
            --disable-shared \
            --disable-static \
            --disable-ccache \
            --disable-hardening \
            --with-incompatible-bdb \
            --with-gui=qt5 \
        ;
## "--disable-hardening" disables upstream's hardening that overrides build
## flags -- in particular it drops "-fPIC" which leads to FTBFS with GCC-5
## (see #777983)

override_dh_auto_build:
	dh_auto_build --parallel
	## build icons:
	convert src/qt/res/icons/bitcoin.png -resize 32x32 $(CURDIR)/debian/litecoin.xpm
	convert src/qt/res/icons/bitcoin.png -resize 64x64 +set date:create +set date:modify -define png:exclude-chunk=time $(CURDIR)/debian/litecoin.png

override_dh_auto_test:
	## Set $HOME to debian/tmp since buildd do not have RW permission to /home/buildd.
	HOME=$(CURDIR)/debian/tmp dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs doc/release-notes-litecoin.md

## litecoin 0.16.3

=== debian/changelog ===
litecoin (0.16.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Dmitry Smirnov ]
  * New upstream patch to fix deadlock (Closes: #913570)
  * Standards-Version: 4.2.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 13 Nov 2018 07:58:43 +1100

litecoin (0.16.3-1) unstable; urgency=medium

  * New upstream release [September 2018]
    + fixed CVE-2018-17144.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 20 Sep 2018 11:41:50 +1000

litecoin (0.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Sep 2018 21:09:51 +1000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
     ,pkg-config
 #  libjson-spirit-dev/4.0.3 (customised) is bundled with upstream sources.
 #   ,libjson-spirit-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://litecoin.org/
 Vcs-Browser: https://salsa.debian.org/debian/litecoin
 Vcs-Git: https://salsa.debian.org/debian/litecoin.git

## litecoin 0.17.1

=== depends/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 .NOTPARALLEL :
 
 SOURCES_PATH ?= $(BASEDIR)/sources
+WORK_PATH = $(BASEDIR)/work
 BASE_CACHE ?= $(BASEDIR)/built
 SDK_PATH ?= $(BASEDIR)/SDKs
 NO_QT ?=
@@ -21,7 +22,6 @@
 host:=$(BUILD)
 ifneq ($(HOST),)
 host:=$(HOST)
-host_toolchain:=$(HOST)-
 endif
 
 ifneq ($(DEBUG),)
@@ -30,9 +30,9 @@
 release_type=release
 endif
 
-base_build_dir=$(BASEDIR)/work/build
-base_staging_dir=$(BASEDIR)/work/staging
-base_download_dir=$(BASEDIR)/work/download
+base_build_dir=$(WORK_PATH)/build
+base_staging_dir=$(WORK_PATH)/staging
+base_download_dir=$(WORK_PATH)/download
 canonical_host:=$(shell ./config.sub $(HOST))
 build:=$(shell ./config.sub $(BUILD))
 
@@ -166,17 +166,23 @@
 
 check-packages: check-sources
 
+clean-all: clean
+	@rm -rf $(SOURCES_PATH) x86_64* i686* mips* arm* aarch64* riscv32* riscv64*
+
+clean:
+	@rm -rf $(WORK_PATH) $(BASE_CACHE) $(BUILD)
+
 install: check-packages $(host_prefix)/share/config.site
 
 
 download-one: check-sources $(all_sources)
 
 download-osx:
-	@$(MAKE) -s HOST=x86_64-apple-darwin11 download-one
+	@$(MAKE) -s HOST=x86_64-apple-darwin14 download-one
 download-linux:
 	@$(MAKE) -s HOST=x86_64-unknown-linux-gnu download-one
 download-win:
 	@$(MAKE) -s HOST=x86_64-w64-mingw32 download-one
 download: download-osx download-linux download-win
 
-.PHONY: install cached download-one download-osx download-linux download-win download check-packages check-sources
+.PHONY: install cached clean clean-all download-one download-osx download-linux download-win download check-packages check-sources

## litecoin 0.18.1

=== depends/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 BASE_CACHE ?= $(BASEDIR)/built
 SDK_PATH ?= $(BASEDIR)/SDKs
 NO_QT ?=
+RAPIDCHECK ?=
 NO_WALLET ?=
 NO_UPNP ?=
 FALLBACK_DOWNLOAD_PATH ?= https://bitcoincore.org/depends-sources
@@ -14,7 +15,7 @@
 PATCHES_PATH = $(BASEDIR)/patches
 BASEDIR = $(CURDIR)
 HASH_LENGTH:=11
-DOWNLOAD_CONNECT_TIMEOUT:=10
+DOWNLOAD_CONNECT_TIMEOUT:=30
 DOWNLOAD_RETRIES:=3
 HOST_ID_SALT ?= salt
 BUILD_ID_SALT ?= salt
@@ -93,11 +94,17 @@
 wallet_packages_$(NO_WALLET) = $(wallet_packages)
 upnp_packages_$(NO_UPNP) = $(upnp_packages)
 
+rapidcheck_packages_$(RAPIDCHECK) = $(rapidcheck_packages)
+
 packages += $($(host_arch)_$(host_os)_packages) $($(host_os)_packages) $(qt_packages_) $(wallet_packages_) $(upnp_packages_)
 native_packages += $($(host_arch)_$(host_os)_native_packages) $($(host_os)_native_packages)
 
 ifneq ($(qt_packages_),)
 native_packages += $(qt_native_packages)
+endif
+
+ifeq ($(rapidcheck_packages_),)
+packages += $(rapidcheck_packages)
 endif
 
 all_packages = $(packages) $(native_packages)

=== src/qt/Makefile ===
.PHONY: FORCE
all: FORCE
	$(MAKE) -C .. bitcoin_qt test_bitcoin_qt
clean: FORCE
	$(MAKE) -C .. bitcoin_qt_clean test_bitcoin_qt_clean
check: FORCE
	$(MAKE) -C .. test_bitcoin_qt_check
bitcoin-qt bitcoin-qt.exe: FORCE
	 $(MAKE) -C .. bitcoin_qt

=== debian/changelog ===
litecoin (0.18.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [aed969f] Add missing header. (Closes: #975169)

 -- Anton Gladky <gladk@debian.org>  Sat, 19 Dec 2020 18:38:21 +0100

litecoin (0.18.1-1) unstable; urgency=medium

  * New upstream release.
  * DH to version 12.
  * Install upstream man pages.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 21 Sep 2020 14:03:44 +1000

litecoin (0.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 23 Jul 2019 16:53:20 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10), imagemagick
+Build-Depends: debhelper-compat (= 12), imagemagick
 #   ,bash-completion
     ,libboost-all-dev
     ,libdb++-dev
@@ -18,7 +18,7 @@
     ,pkg-config
 #  libjson-spirit-dev/4.0.3 (customised) is bundled with upstream sources.
 #   ,libjson-spirit-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: http://litecoin.org/
 Vcs-Browser: https://salsa.debian.org/debian/litecoin
 Vcs-Git: https://salsa.debian.org/debian/litecoin.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export QT_SELECT=5
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 # --with bash-completion
 
 override_dh_auto_configure:
@@ -27,7 +27,7 @@
 ## (see #777983)
 
 override_dh_auto_build:
-	dh_auto_build --parallel
+	dh_auto_build
 	## build icons:
 	convert src/qt/res/icons/bitcoin.png -resize 32x32 $(CURDIR)/debian/litecoin.xpm
 	convert src/qt/res/icons/bitcoin.png -resize 64x64 +set date:create +set date:modify -define png:exclude-chunk=time $(CURDIR)/debian/litecoin.png

=== debian/watch ===
# uscan(1) configuration file.

version=3

 https://github.com/litecoin-project/litecoin/releases \
 .*/archive/v?(\d[\d\.]+)(?:[a-z]*)\.tar\.gz

## litecoin 0.21.2.1

=== src/leveldb/CMakeLists.txt ===
# Copyright 2017 The LevelDB Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file. See the AUTHORS file for names of contributors.

cmake_minimum_required(VERSION 3.9)
# Keep the version below in sync with the one in db.h
project(leveldb VERSION 1.22.0 LANGUAGES C CXX)

# This project can use C11, but will gracefully decay down to C89.
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED OFF)
set(CMAKE_C_EXTENSIONS OFF)

# This project requires C++11.
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if (WIN32)
  set(LEVELDB_PLATFORM_NAME LEVELDB_PLATFORM_WINDOWS)
  # TODO(cmumford): Make UNICODE configurable for Windows.
  add_definitions(-D_UNICODE -DUNICODE)
else (WIN32)
  set(LEVELDB_PLATFORM_NAME LEVELDB_PLATFORM_POSIX)
endif (WIN32)

option(LEVELDB_BUILD_TESTS "Build LevelDB's unit tests" ON)
option(LEVELDB_BUILD_BENCHMARKS "Build LevelDB's benchmarks" ON)
option(LEVELDB_INSTALL "Install LevelDB's header and library" ON)

include(TestBigEndian)
test_big_endian(LEVELDB_IS_BIG_ENDIAN)

include(CheckIncludeFile)
check_include_file("unistd.h" HAVE_UNISTD_H)

include(CheckLibraryExists)
check_library_exists(crc32c crc32c_value "" HAVE_CRC32C)
check_library_exists(snappy snappy_compress "" HAVE_SNAPPY)
check_library_exists(tcmalloc malloc "" HAVE_TCMALLOC)

include(CheckCXXSymbolExists)
# Using check_cxx_symbol_exists() instead of check_c_symbol_exists() because
# we're including the header from C++, and feature detection should use the same
# compiler language that the project will use later. Principles aside, some
# versions of do not expose fdatasync() in <unistd.h> in standard C mode
# (-std=c11), but do expose the function in standard C++ mode (-std=c++11).
check_cxx_symbol_exists(fdatasync "unistd.h" HAVE_FDATASYNC)
check_cxx_symbol_exists(F_FULLFSYNC "fcntl.h" HAVE_FULLFSYNC)
check_cxx_symbol_exists(O_CLOEXEC "fcntl.h" HAVE_O_CLOEXEC)

if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  # Disable C++ exceptions.
  string(REGEX REPLACE "/EH[a-z]+" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHs-c-")
  add_definitions(-D_HAS_EXCEPTIONS=0)

  # Disable RTTI.
  string(REGEX REPLACE "/GR" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GR-")
else(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  # Enable strict prototype warnings for C code in clang and gcc.
  if(NOT CMAKE_C_FLAGS MATCHES "-Wstrict-prototypes")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wstrict-prototypes")
  endif(NOT CMAKE_C_FLAGS MATCHES "-Wstrict-prototypes")

  # Disable C++ exceptions.
  string(REGEX REPLACE "-fexceptions" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-exceptions")

  # Disable RTTI.
  string(REGEX REPLACE "-frtti" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")

# Test whether -Wthread-safety is available. See
# https://clang.llvm.org/docs/ThreadSafetyAnalysis.html
include(CheckCXXCompilerFlag)
check_cxx_compiler_flag(-Wthread-safety HAVE_CLANG_THREAD_SAFETY)

include(CheckCXXSourceCompiles)

# Test whether C++17 __has_include is available.
check_cxx_source_compiles("
#if defined(__has_include) &&  __has_include(<string>)
#include <string>
#endif
int main() { std::string str; return 0; }
" HAVE_CXX17_HAS_INCLUDE)

set(LEVELDB_PUBLIC_INCLUDE_DIR "include/leveldb")
set(LEVELDB_PORT_CONFIG_DIR "include/port")

configure_file(
  "port/port_config.h.in"
  "${PROJECT_BINARY_DIR}/${LEVELDB_PORT_CONFIG_DIR}/port_config.h"
)

include_directories(
  "${PROJECT_BINARY_DIR}/include"
  "."
)

if(BUILD_SHARED_LIBS)
  # Only export LEVELDB_EXPORT symbols from the shared library.
  add_compile_options(-fvisibility=hidden)
endif(BUILD_SHARED_LIBS)

# Must be included before CMAKE_INSTALL_INCLUDEDIR is used.
include(GNUInstallDirs)

add_library(leveldb "")
target_sources(leveldb
  PRIVATE
    "${PROJECT_BINARY_DIR}/${LEVELDB_PORT_CONFIG_DIR}/port_config.h"
    "db/builder.cc"
    "db/builder.h"
    "db/c.cc"
    "db/db_impl.cc"
    "db/db_impl.h"
    "db/db_iter.cc"
    "db/db_iter.h"
    "db/dbformat.cc"
    "db/dbformat.h"
    "db/dumpfile.cc"
    "db/filename.cc"
    "db/filename.h"
    "db/log_format.h"
    "db/log_reader.cc"
    "db/log_reader.h"
    "db/log_writer.cc"
    "db/log_writer.h"
    "db/memtable.cc"
    "db/memtable.h"
    "db/repair.cc"
    "db/skiplist.h"
    "db/snapshot.h"
    "db/table_cache.cc"
    "db/table_cache.h"
    "db/version_edit.cc"
    "db/version_edit.h"
    "db/version_set.cc"
    "db/version_set.h"
    "db/write_batch_internal.h"
    "db/write_batch.cc"
    "port/port_stdcxx.h"
    "port/port.h"
    "port/thread_annotations.h"
    "table/block_builder.cc"
    "table/block_builder.h"
    "table/block.cc"
    "table/block.h"
    "table/filter_block.cc"
    "table/filter_block.h"
    "table/format.cc"
    "table/format.h"
    "table/iterator_wrapper.h"
    "table/iterator.cc"
    "table/merger.cc"
    "table/merger.h"
    "table/table_builder.cc"
    "table/table.cc"
    "table/two_level_iterator.cc"
    "table/two_level_iterator.h"
    "util/arena.cc"
    "util/arena.h"
    "util/bloom.cc"
    "util/cache.cc"
    "util/coding.cc"
    "util/coding.h"
    "util/comparator.cc"
    "util/crc32c.cc"
    "util/crc32c.h"
    "util/env.cc"
    "util/filter_policy.cc"
    "util/hash.cc"
    "util/hash.h"
    "util/logging.cc"
    "util/logging.h"
    "util/mutexlock.h"
    "util/no_destructor.h"
    "util/options.cc"
    "util/random.h"
    "util/status.cc"

  # Only CMake 3.3+ supports PUBLIC sources in targets exported by "install".
  $<$<VERSION_GREATER:CMAKE_VERSION,3.2>:PUBLIC>
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/c.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/cache.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/comparator.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/db.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/dumpfile.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/env.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/export.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/filter_policy.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/iterator.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/options.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/slice.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/status.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/table_builder.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/table.h"
    "${LEVELDB_PUBLIC_INCLUDE_DIR}/write_batch.h"
)

if (WIN32)
  target_sources(leveldb
    PRIVATE
      "util/env_windows.cc"
      "util/windows_logger.h"
  )
else (WIN32)
  target_sources(leveldb
    PRIVATE
      "util/env_posix.cc"
      "util/posix_logger.h"
  )
endif (WIN32)

# MemEnv is not part of the interface and could be pulled to a separate library.
target_sources(leveldb
  PRIVATE
    "helpers/memenv/memenv.cc"
    "helpers/memenv/memenv.h"
)

target_include_directories(leveldb
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

set_target_properties(leveldb
  PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

target_compile_definitions(leveldb
  PRIVATE
    # Used by include/export.h when building shared libraries.
    LEVELDB_COMPILE_LIBRARY
    # Used by port/port.h.
    ${LEVELDB_PLATFORM_NAME}=1
)
if (NOT HAVE_CXX17_HAS_INCLUDE)
  target_compile_definitions(leveldb
    PRIVATE
      LEVELDB_HAS_PORT_CONFIG_H=1
  )
endif(NOT HAVE_CXX17_HAS_INCLUDE)

if(BUILD_SHARED_LIBS)
  target_compile_definitions(leveldb
    PUBLIC
      # Used by include/export.h.
      LEVELDB_SHARED_LIBRARY
  )
endif(BUILD_SHARED_LIBS)

if(HAVE_CLANG_THREAD_SAFETY)
  target_compile_options(leveldb
    PUBLIC
      -Werror -Wthread-safety)
endif(HAVE_CLANG_THREAD_SAFETY)

if(HAVE_CRC32C)
  target_link_libraries(leveldb crc32c)
endif(HAVE_CRC32C)
if(HAVE_SNAPPY)
  target_link_libraries(leveldb snappy)
endif(HAVE_SNAPPY)
if(HAVE_TCMALLOC)
  target_link_libraries(leveldb tcmalloc)
endif(HAVE_TCMALLOC)

# Needed by port_stdcxx.h
find_package(Threads REQUIRED)
target_link_libraries(leveldb Threads::Threads)

add_executable(leveldbutil
  "db/leveldbutil.cc"
)
target_link_libraries(leveldbutil leveldb)

if(LEVELDB_BUILD_TESTS)
  enable_testing()

  function(leveldb_test test_file)
    get_filename_component(test_target_name "${test_file}" NAME_WE)

    add_executable("${test_target_name}" "")
    target_sources("${test_target_name}"
      PRIVATE
        "${PROJECT_BINARY_DIR}/${LEVELDB_PORT_CONFIG_DIR}/port_config.h"
        "util/testharness.cc"
        "util/testharness.h"
        "util/testutil.cc"
        "util/testutil.h"

        "${test_file}"
    )
    target_link_libraries("${test_target_name}" leveldb)
    target_compile_definitions("${test_target_name}"
      PRIVATE
        ${LEVELDB_PLATFORM_NAME}=1
    )
    if (NOT HAVE_CXX17_HAS_INCLUDE)
      target_compile_definitions("${test_target_name}"
        PRIVATE
          LEVELDB_HAS_PORT_CONFIG_H=1
      )
    endif(NOT HAVE_CXX17_HAS_INCLUDE)

    add_test(NAME "${test_target_name}" COMMAND "${test_target_name}")
  endfunction(leveldb_test)

  leveldb_test("db/c_test.c")
  leveldb_test("db/fault_injection_test.cc")

  leveldb_test("issues/issue178_test.cc")
  leveldb_test("issues/issue200_test.cc")
  leveldb_test("issues/issue320_test.cc")

  leveldb_test("util/env_test.cc")
  leveldb_test("util/status_test.cc")
  leveldb_test("util/no_destructor_test.cc")

  if(NOT BUILD_SHARED_LIBS)
    leveldb_test("db/autocompact_test.cc")
    leveldb_test("db/corruption_test.cc")
    leveldb_test("db/db_test.cc")
    leveldb_test("db/dbformat_test.cc")
    leveldb_test("db/filename_test.cc")
    leveldb_test("db/log_test.cc")
    leveldb_test("db/recovery_test.cc")
    leveldb_test("db/skiplist_test.cc")
    leveldb_test("db/version_edit_test.cc")
    leveldb_test("db/version_set_test.cc")
    leveldb_test("db/write_batch_test.cc")

    leveldb_test("helpers/memenv/memenv_test.cc")

    leveldb_test("table/filter_block_test.cc")
    leveldb_test("table/table_test.cc")

    leveldb_test("util/arena_test.cc")
    leveldb_test("util/bloom_test.cc")
    leveldb_test("util/cache_test.cc")
    leveldb_test("util/coding_test.cc")
    leveldb_test("util/crc32c_test.cc")
    leveldb_test("util/hash_test.cc")
    leveldb_test("util/logging_test.cc")

    # TODO(costan): This test also uses
    #               "util/env_{posix|windows}_test_helper.h"
    if (WIN32)
      leveldb_test("util/env_windows_test.cc")
    else (WIN32)
      leveldb_test("util/env_posix_test.cc")
    endif (WIN32)
  endif(NOT BUILD_SHARED_LIBS)
endif(LEVELDB_BUILD_TESTS)

if(LEVELDB_BUILD_BENCHMARKS)
  function(leveldb_benchmark bench_file)
    get_filename_component(bench_target_name "${bench_file}" NAME_WE)

    add_executable("${bench_target_name}" "")
    target_sources("${bench_target_name}"
      PRIVATE
        "${PROJECT_BINARY_DIR}/${LEVELDB_PORT_CONFIG_DIR}/port_config.h"
        "util/histogram.cc"
        "util/histogram.h"
        "util/testharness.cc"
        "util/testharness.h"
        "util/testutil.cc"
        "util/testutil.h"

        "${bench_file}"
    )
    target_link_libraries("${bench_target_name}" leveldb)
    target_compile_definitions("${bench_target_name}"
      PRIVATE
        ${LEVELDB_PLATFORM_NAME}=1
    )
    if (NOT HAVE_CXX17_HAS_INCLUDE)
      target_compile_definitions("${bench_target_name}"
        PRIVATE
          LEVELDB_HAS_PORT_CONFIG_H=1
      )
    endif(NOT HAVE_CXX17_HAS_INCLUDE)
  endfunction(leveldb_benchmark)

  if(NOT BUILD_SHARED_LIBS)
    leveldb_benchmark("benchmarks/db_bench.cc")
  endif(NOT BUILD_SHARED_LIBS)

  check_library_exists(sqlite3 sqlite3_open "" HAVE_SQLITE3)
  if(HAVE_SQLITE3)
    leveldb_benchmark("benchmarks/db_bench_sqlite3.cc")
    target_link_libraries(db_bench_sqlite3 sqlite3)
  endif(HAVE_SQLITE3)

  # check_library_exists is insufficient here because the library names have

=== src/test/Makefile ===
all:
	$(MAKE) -C .. bitcoin_test
clean:
	$(MAKE) -C .. bitcoin_test_clean
check:
	$(MAKE) -C .. bitcoin_test_check

=== debian/changelog ===
litecoin (0.21.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Aug 2022 17:53:27 +1000

litecoin (0.21.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1.
  * Build-Depends
    + libfmt-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2022 14:22:17 +1000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
     ,libboost-all-dev
     ,libdb++-dev
     ,libevent-dev
+    ,libfmt-dev
     ,libleveldb-dev (>= 1.18-2.1)
     ,libminiupnpc-dev [!hurd-any]
     ,libprotobuf-dev
@@ -18,7 +19,7 @@
     ,pkg-config
 #  libjson-spirit-dev/4.0.3 (customised) is bundled with upstream sources.
 #   ,libjson-spirit-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Homepage: http://litecoin.org/
 Vcs-Browser: https://salsa.debian.org/debian/litecoin
 Vcs-Git: https://salsa.debian.org/debian/litecoin.git

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-            --disable-silent-rules \
-            --disable-shared \
-            --disable-static \
+            --disable-bench \
             --disable-ccache \
             --disable-hardening \
+            --disable-shared \
+            --disable-silent-rules \
+            --disable-static \
+            --disable-util-tx \
             --with-incompatible-bdb \
             --with-gui=qt5 \
         ;

=== debian/watch ===
# uscan(1) configuration file.

version=3

 https://github.com/litecoin-project/litecoin/releases \
 .*/archive/refs/tags/v?(\d[\d\.]+)(?:[a-z]*)\.tar\.gz
